//----------------------------------------------------------------------------------------------------
//
//	FoneController
//
//	Inherits From:		Object
//
//	Declared In:		FoneController.h
//
//	Class Description
//
//		FoneController manages the animation of Fone.app's icon.
//		NOTE: FoneController is the application's delegate.
//
//	Disclaimer
//
//		You may freely copy, distribute and reuse this software and its
//		associated documentation. I disclaim any warranty of any kind, 
//		expressed or implied, as to its fitness for any particular use.
//
//----------------------------------------------------------------------------------------------------
#import <appkit/appkit.h>


@interface FoneController : Object
{
	id	appTile;
	id	appIconContentView;
	id	imageList;
	
	DPSTimedEntry	timedEntry;
}

//----------------------------------------------------------------------------------------------------
// Application Delegate Method
//----------------------------------------------------------------------------------------------------
- appDidInit: sender;


//----------------------------------------------------------------------------------------------------
// Action Methods
//----------------------------------------------------------------------------------------------------
- ring: sender;
- answer: sender;


//----------------------------------------------------------------------------------------------------
// DPS Timed Entry Method
//----------------------------------------------------------------------------------------------------
- removeTimedEntry;


@end
